org.apache.maven.scm.provider.bazaar.command.changelog

## Class BazaarChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.bazaar.command.changelog.BazaarChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command

    public class BazaarChangeLogCommand
    extends AbstractChangeLogCommand
    implements Command

Author:
  Torbjorn Eikli Smorgrav, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BazaarChangeLogCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ChangeLogScmResult` `executeChangeLogCommand(ChangeLogScmRequest request)`
`protected ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### BazaarChangeLogCommand

    public BazaarChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ChangeLogScmRequest request)
                                                  throws ScmException

Overrides:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         Date startDate,
                                                         Date endDate,
                                                         ScmBranch branch,
                                                         String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`